phm2pj(1)

NAME
phm2pj - calculate projections through a phantom object.

SYNOPSIS
phm2pj outfile ndet nview [--phantom phantom-name] [--phmfile filename] [OPTIONS]

DESCRIPTION
phm2pj calculates projections through a phantom object, either a predefined --phantom or a --phmfile.

OPTIONS

--outfile
    Name of output file for projections

--ndet
    Number of detectors

--nview
    Number of rotated views

--phantom
    Predefined phantom to use for projection: can be one of

    herman
        Herman head phantom

    herman-b
        Herman head phantom (Bordered)

    shepp-logan
        Shepp-Logan head phantom

    shepp-logan-b
        Shepp-Logan head phantom (Bordered)

    unitpulse
        Unit pulse phantom

--phmfile name
    Get Phantom from phantom file

--desc
    Description of raysum

--nray
    Number of rays per detector (default = 1)

--rotangle
    Degrees to rotate view through (multiple of PI) (default = 1)

--geometry
    Geometry of scanning

    parallel
        Parallel scan beams (default)

    equilinear
        Equilinear divergent scan beams

    equiangular
        Equiangular divergent scan beams

--focal-length
    Focal length ratio (ratio to radius of phantom) (default = 1)

--field-of-view
    Field of view (ratio to diameter of phantom square) (default = 1)

--trace
    Trace level to use, one of:

    none
        No tracing (default)

    console
        Trace text level

--verbose
    Verbose mode

--debug
    Debug mode

--version
    Print version

--help
    Print a terse help message

AUTHORS
Kevin Rosenberg, M.D. <kevin@ctsim.org>

HISTORY
CTSim was begun in 1983 using MS-DOS and an EGA display adapter. In 1999 it was ported to GNU/Linux and later ported to Microsoft Windows.

SEE ALSO
ctsim(1) ctsimtext(1) if1(1) if2(1) ifinfo(1) linogram(1) phm2helix(1) phm2if(1) pj2if(1) pjHinterp(1) pjinfo(1) pjrec(1)